Sets the image sampling factors

- « Gmagick::setimagewhitepoint

- Gmagick::setsize »

- PHP Manual
- Gmagick
- Sets the image sampling factors

# Gmagick::setsamplingfactors

(PECL gmagick >= Unknown)

Gmagick::setsamplingfactors — Sets the image sampling factors

### Description

public Gmagick::setsamplingfactors(array `$factors`): Gmagick

Sets the image sampling factors.

### Parameters

`factors`

  An array of floats representing the sampling factor for each color component (in RGB order).

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.